Subject: bug#68493: Got to be a better way to customize c-ts-mode indentation

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Jan 2024 14:19:13 +0200

> From: Daniel Colascione <[email-masked]>
> Date: Mon, 15 Jan 2024 18:51:25 -0500
> 
> There's got to be a way to customize tree-sitter-based indentation
> that's cleaner than the patching I'm doing below.

Agreed.  Patches welcome.

> Wouldn't it be nice if we could use cc-mode indentation rules with
> c-ts-mode?

It would, indeed.  Of course, it isn't easy: CC Mode's indentation
rules are defined in terms of pseudo-syntactic parameters that don't
map easily (to say the least) into what a parser returns, and many of
the rules invoke CC Mode functions (as opposed to reference variables
and literals) that are specific to CC Mode and its analysis of the C
source.  Again, patches welcome.